Package org.pushingpixels.substance.internal.utils

# Class RolloverTextControlListener

java.lang.Object
org.pushingpixels.substance.internal.utils.RolloverTextControlListener

All Implemented Interfaces:
  `FocusListener`, `MouseListener`, `MouseMotionListener`, `EventListener`

public class RolloverTextControlListener extends Object implements MouseListener, MouseMotionListener, FocusListener
Control listener for rollover effects. Tracks the mouse motion interaction for the associated `TransitionAwareUI` control.

## Constructor Summary

Constructors
Constructor
Description
`RolloverTextControlListener(JComponent component, TransitionAwareUI trackableUI, ButtonModel model)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent e)`
`void`
`focusLost(FocusEvent e)`
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`
`void`
`registerListeners()`
`void`
`unregisterListeners()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RolloverTextControlListener

public RolloverTextControlListener(JComponent component, TransitionAwareUI trackableUI, ButtonModel model)
Simple constructor.

Parameters:
  `trackableUI` - Object that is queried for mouse events.
  `model` - Surrogate model for tracking control status.

## Method Details

### registerListeners

public void registerListeners()

### unregisterListeners

public void unregisterListeners()

### focusGained

public void focusGained(FocusEvent e)

Specified by:
  `focusGained` in interface `FocusListener`

### focusLost

public void focusLost(FocusEvent e)

Specified by:
  `focusLost` in interface `FocusListener`

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`